Description

Cuando se ejecuta el geoproceso de "Agrupar por un campo" salta el error "Attribute name 'AREA' not found in the feature" (AREA es
el nombre del campo en ese caso para aplicar una función SUMA por ejemplo).

Relaciono este ticket con el https://redmine.gvsig.net/redmine/issues/5539
aunque el otro era un error anterior relacionado con el tamaño del nombre de los campos. Si es un nombre pequeño no salta el otro
error y salta después el de "Attribute name 'AREA' not found in the feature"

Adjunto log

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5539: Error de tamaño de... Closed 02/25/2021

Associated revisions
Revision 2883 - 12/15/2022 01:43 PM - Francisco Díaz Carsí

refs #5540, Arreglado el valor máximo del tamaño del nombre de campo en TrimNamesTranslator

Revision 2884 - 12/15/2022 01:44 PM - Francisco Díaz Carsí

refs #5540, Modificado el método compara para que trabaje correctamente con Number

Revision 1849 - 12/15/2022 01:46 PM - Francisco Díaz Carsí

refs #5540, Corregidos problemas con los tipos de datos y la longitud de los nombres de los campos

Revision 46896 - 12/16/2022 11:36 AM - Francisco Díaz Carsí

refs #5540, Corregidos problemas con los tipos de datos y la longitud de los nombres de los campos

History
#1 - 02/25/2021 05:41 PM - Mario Carrera
https://redmine.gvsig.net/redmine/issues/5539


- Related to gvSIG bugs #5539: Error de tamaño de nombre de campo al ejecutar el geoproceso "Agrupar por un campo"  added

#2 - 01/19/2023 07:54 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

Se han encontrado dos problemas. 
Por un lado había un problema con la longitud de los nombres de campos que se generaban, ya que acababan teniendo una  longitud mayor que la
soportada por un shape debido a que se les añadía un sufijo con la operación de agrupación que se realizaba. Hemos utilizado la herramienta de
translación de nombres de campos para conseguir nombres únicos de no mas de 10 caracteres y hemos pasado de sufijo a prefijo el indicador del
nombre de la operación.
Por otro lado hemos observado que cuando se comparaban valores para realizar la agrupación, si estos no eran numéricos o eran de tipo Decimal la
realizaba de forma errónea o daba directamente un error. Hemos preparado un mecanismo de comparación de números, independientemente del tipo
concreto que tengan los operandos de la comparación y lo hemos usado en este punto.

#3 - 08/03/2023 02:17 PM - Álvaro Anguix
- Status changed from Fixed to Closed
